%define modname igbinary
%define inifile A50_%{modname}.ini
%define incdir %(php-config82 --include-dir)
%define extdir %(php-config82 --extension-dir)

Name:		php-%{modname}
Version:	3.2.13
Release:	%mkrel 1
Group:		Development/PHP
Summary:	PHP igbinary extension
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/igbinary
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:	session.patch
BuildRequires:  mercurial
BuildRequires:	php-devel >= 3:8.2.0
Requires:       php >= 3:8.2.0
Requires:       php-common >= 3:8.2
Requires:       php-session >= 3:8.2.0

%description
Igbinary is a drop in replacement for the standard php serializer. Instead of
time and space consuming textual representation, igbinary stores php data
structures in a compact binary form. Savings are significant when using
memcached or similar memory based storages for serialized data.


%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure --with-libdir=%{_lib} \
	--enable-%{modname}

export CFLAGS="${CFLAGS} -O3 -fno-strict-aliasing -fvisibility=default -Wno-error=deprecated-declarations -Wno-deprecated-declarations"
export LDFLAGS="%{ldflags} -O3 -lz"
export CXXFLAGS="${CXXFLAGS} -O3 -fvisibility=default -fvisibility-inlines-hidden -Wno-error=deprecated-declarations -Wno-deprecated-declarations"

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{incdir}/ext/%{modname}

install -m755 igbinary.so %{buildroot}%{extdir}
install src/php7/igbinary.h %{buildroot}%{incdir}/ext/%{modname}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = igbinary
; Use igbinary as session serializer
session.serialize_handler=igbinary
EOF

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/igbinary.so
%{incdir}/ext/%{modname}/igbinary.h



%changelog
* Fri Feb 03 2023 mokraemer <mokraemer> 3.2.13-1.mga9
+ Revision: 1937731
- new version 3.2.13

* Mon Nov 07 2022 mokraemer <mokraemer> 3.2.12-1.mga9
+ Revision: 1904499
- new version 3.2.12

* Mon Nov 07 2022 mokraemer <mokraemer> 3.2.11-1.mga9
+ Revision: 1904425
- new version 3.2.11

* Tue Oct 18 2022 mokraemer <mokraemer> 3.2.9-1.mga9
+ Revision: 1897503
- new version 3.2.9

* Wed Aug 24 2022 mokraemer <mokraemer> 3.2.7-5.mga9
+ Revision: 1879775
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 3.2.7-4.mga9
+ Revision: 1869999
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 3.2.7-3.mga9
+ Revision: 1869868
- rebuild for php 8.2

* Sat Mar 19 2022 umeabot <umeabot> 3.2.7-2.mga9
+ Revision: 1800091
- Mageia 9 Mass Rebuild

* Wed Jan 12 2022 mokraemer <mokraemer> 3.2.7-1.mga9
+ Revision: 1768186
- new release 3.2.7

* Sun Dec 05 2021 mokraemer <mokraemer> 3.2.6-5.mga9
+ Revision: 1760840
- fix mga#29724

* Sun Dec 05 2021 mokraemer <mokraemer> 3.2.6-4.mga9
+ Revision: 1760839
- fix mga#29724

* Sat Dec 04 2021 rapsys <rapsys> 3.2.6-3.mga9
+ Revision: 1760655
- Enable igbinary session support even if session is built as shared

* Fri Nov 26 2021 mokraemer <mokraemer> 3.2.6-2.mga9
+ Revision: 1759367
- rebuild for php 8.1

* Thu Aug 12 2021 mokraemer <mokraemer> 3.2.6-1.mga9
+ Revision: 1741124
- new version 3.2.6

* Sat Aug 07 2021 mokraemer <mokraemer> 3.2.5-1.mga9
+ Revision: 1740054
- new version 3.2.5

* Mon Jul 26 2021 mokraemer <mokraemer> 3.2.4-1.mga9
+ Revision: 1737851
- new version 3.2.4

* Mon Apr 19 2021 mokraemer <mokraemer> 3.2.2-1.mga9
+ Revision: 1717214
- remove patch
- new version 3.2.2

* Tue Feb 16 2021 mokraemer <mokraemer> 3.2.1-4.mga8
+ Revision: 1675462
- fix deps

* Sun Feb 14 2021 mokraemer <mokraemer> 3.2.1-3.mga8
+ Revision: 1675344
- fix for requirements

* Sat Feb 06 2021 mokraemer <mokraemer> 3.2.1-2.mga8
+ Revision: 1674947
- fix missing dependancy

* Mon Dec 28 2020 mokraemer <mokraemer> 3.2.1-1.mga8
+ Revision: 1664397
- new version 3.2.1

* Sun Dec 27 2020 mokraemer <mokraemer> 3.2.0-1.mga8
+ Revision: 1664192
- new version 3.2.0

* Sun Nov 29 2020 mokraemer <mokraemer> 3.1.6-2.mga8
+ Revision: 1650255
+ rebuild (emptylog)

* Fri Oct 09 2020 mokraemer <mokraemer> 3.1.6-1.mga8
+ Revision: 1632925
- new version 3.1.6

* Thu Sep 03 2020 mokraemer <mokraemer> 3.1.5-1.mga8
+ Revision: 1621250
- new version 3.1.5
- new version 3.1.5

* Thu Aug 06 2020 mokraemer <mokraemer> 3.1.4-1.mga8
+ Revision: 1611363
- new version 3.1.4

* Wed Aug 05 2020 mokraemer <mokraemer> 3.1.3-1.mga8
+ Revision: 1611283
- new version 3.1.3

* Thu Jun 18 2020 mokraemer <mokraemer> 3.1.2-3.mga8
+ Revision: 1596261
- fix dep to current version

* Wed Feb 19 2020 umeabot <umeabot> 3.1.2-2.mga8
+ Revision: 1543588
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 mokraemer <mokraemer> 3.1.2-1.mga8
+ Revision: 1481995
- new version 3.1.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 16 2020 mokraemer <mokraemer> 3.1.1-1.mga8
+ Revision: 1481156
- new version 3.1.1

* Mon Dec 30 2019 mokraemer <mokraemer> 3.1.0-1.mga8
+ Revision: 1474984
- new version 3.1.0

* Fri Nov 29 2019 mokraemer <mokraemer> 3.0.0-3.mga8
+ Revision: 1463525
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 3.0.0-2.mga8
+ Revision: 1454920
- removed dirname

* Mon Feb 18 2019 mokraemer <mokraemer> 3.0.0-1.mga7
+ Revision: 1368104
- new version 3.0.0

* Fri Dec 21 2018 mokraemer <mokraemer> 2.0.8-5.mga7
+ Revision: 1344205
- remove tests in installation files

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.8-3.mga7
+ Revision: 1340441
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.8-2.mga7
+ Revision: 1325729
- updated requirement

* Sun Oct 21 2018 mokraemer <mokraemer> 2.0.8-1.mga7
+ Revision: 1323167
- new version 2.0.8

* Sun Sep 23 2018 umeabot <umeabot> 2.0.6-2.mga7
+ Revision: 1300223
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 mokraemer <mokraemer> 2.0.6-1.mga7
+ Revision: 1234462
- new version 2.0.6

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-3.mga7
+ Revision: 1183955
- make igbinary default serialize handler

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-2.mga7
+ Revision: 1183935
+ rebuild (emptylog)

* Fri Dec 22 2017 mokraemer <mokraemer> 2.0.5-1.mga7
+ Revision: 1183933
- new php-igbinary
- Created package structure for php-igbinary.

